# gcp::HPosDlg Class Reference

`#include <gcp/Hposdlg.h>`

Inheritance diagram for gcp::HPosDlg:

List of all members.

## Public Member Functions

| HPosDlg (Document *pDoc, Atom *pAtom)
virtual | ~HPosDlg ()
void | OnPosChanged ()

## Detailed Description

The dialog used to set the position of the symbols of hydrogen atoms attached to heteroatoms or explicit carbon atoms.

Definition at line 42 of file Hposdlg.h.

## Constructor & Destructor Documentation

gcp::HPosDlg::HPosDlg | ( | Document * | pDoc,
|  | Atom * | pAtom |
| ) |  |  |

Parameters:

  | pDoc | the document containing the atom.
  | pAtom | the atom with attached hydrogens

Creates and open a dialog used to set the position of the symbols of hydrogen atoms attached to the specified atom.

virtual gcp::HPosDlg::~HPosDlg | ( |  | ) | `[virtual]`

The destructor.

## Member Function Documentation

void gcp::HPosDlg::OnPosChanged | ( |  | ) |

Called by the framework when the selected position has changed.

The documentation for this class was generated from the following file:

- Hposdlg.h